Skip to main content
POST
/
v2
/
legal-entities
/
establishments
Bulk Establishments
curl --request POST \
  --url https://api.bizzy.ai/v2/legal-entities/establishments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "limit": 123,
  "offset": 123
}
'
[
    {
        "identifier": {
            "legalEntityId": "1778186251",
            "countryCode": "BE",
            "name": "Bizzy AI",
            "isPrimary": true
        },
        "data": {
            "establishments": [
                {
                    "id": "617935963",
                    "name": "Bizzy AI",
                    "address": {
                        "number": "5",
                        "street": "Dok-Noord",
                        "country": "BE",
                        "locality": "Ghent",
                        "postalCode": "9000"
                    },
                    "establishmentId": "2697485893",
                    "latitude": 51.0659,
                    "longitude": 3.7337,
                    "language": "NL",
                    "source": "SourcesBeKboCsv",
                    "admins": {
                        "admin1": "Flanders",
                        "admin2": "East Flanders",
                        "admin3": "Ghent"
                    }
                }
            ]
        },
        "pagination": {
            "limit": 4,
            "offset": 0,
            "total": 1
        },
        "message": null
    },
    { // Example error
        "identifier": {
            "legalEntityId": "123456789"
        },
        "data": null,
        "pagination": null,
        "message": "Legal entity not found"
    }
]

Request

Accept-Language
string
default:"EN"
  • NL: Dutch - FR: French - EN: English

Body

You can request up to 100 legal entities at once.
limit
number
default:"4"
Number of items to return per page. (max 500)
offset
number
default:"0"
Number of items to skip

Response

The same limit and offset are shared over all legal entities. limit may not exceed 100, and legalEntities.length x limit may not exceed 500.
[
    {
        "identifier": {
            "legalEntityId": "1778186251",
            "countryCode": "BE",
            "name": "Bizzy AI",
            "isPrimary": true
        },
        "data": {
            "establishments": [
                {
                    "id": "617935963",
                    "name": "Bizzy AI",
                    "address": {
                        "number": "5",
                        "street": "Dok-Noord",
                        "country": "BE",
                        "locality": "Ghent",
                        "postalCode": "9000"
                    },
                    "establishmentId": "2697485893",
                    "latitude": 51.0659,
                    "longitude": 3.7337,
                    "language": "NL",
                    "source": "SourcesBeKboCsv",
                    "admins": {
                        "admin1": "Flanders",
                        "admin2": "East Flanders",
                        "admin3": "Ghent"
                    }
                }
            ]
        },
        "pagination": {
            "limit": 4,
            "offset": 0,
            "total": 1
        },
        "message": null
    },
    { // Example error
        "identifier": {
            "legalEntityId": "123456789"
        },
        "data": null,
        "pagination": null,
        "message": "Legal entity not found"
    }
]